import java.io.ByteArrayInputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.net.URL;

public class InConvertInText {

    public static void readAllByByte(Reader in) throws IOException {
        while (true) {
            int oneByte = in.read(); // читает 1 символ
            if (oneByte != -1) {    // признак конца файла
                System.out.print((char) oneByte);
            } else {
                System.out.print("\nконец");
                break;
            }
        }
    }

    public static void main(String[] args) {
        try {
            // С потоком связан файл
            InputStream inFile = new FileInputStream("Files/MyFile1.txt"); // байтовый поток
            Reader rFile = new InputStreamReader(inFile, "cp1251");     // символьный поток

            readAllByByte(rFile);
            System.out.print("\n\n\n");
            rFile.close();
            inFile.close();

            // С потоком связана интернет-страница
            // передается "русская" кодировка
            InputStream inUrl = new URL("http://google.com").openStream(); // байтовый поток
            Reader rUrl = new InputStreamReader(inUrl, "cp1251");          // символьный поток

            readAllByByte(rUrl);
            System.out.print("\n\n\n");
            rUrl.close();
            inUrl.close();

            // С потоком связан массив типа byte
            InputStream inArray =
                    new ByteArrayInputStream(new byte[] {5, 8, 3, 9, 11});
            Reader rArray = new InputStreamReader(inArray, "cp1251"); // символьный поток

            readAllByByte(rArray);
            System.out.print("\n\n\n");
            rArray.close();
            inArray.close();

        } catch (IOException e) {
            System.out.println("Ошибка: " + e);
        }
    }
}